Get webhook events
GET
/merchants/{merchantCode}/webhookEvents
const url = 'https://webhook.shopgate.io/v1/merchants/example/webhookEvents';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://webhook.shopgate.io/v1/merchants/example/webhookEventsGet webhook events grouped by sync and async
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”merchantCode
required
string
Responses
Section titled “Responses”Returns webhook events
Media typeapplication/json
object
sync
Array<object>
object
code
required
string
async
Array<object>
object
code
required
string
Example
{ "sync": [ { "code": "loginSync" }, { "code": "registerSync" } ], "async": [ { "code": "salesOrderAdded" }, { "code": "salesOrderStatusUpdated" } ]}Merchant not found
Media typeapplication/json
object
code
required
string
message
required
string
Example
{ "code": "NotFound", "message": "Merchant not found"}
